Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.util
Class HashTable

    java.lang.Object
      org.apache.batik.dom.util.HashTable

All Implemented Interfaces:
  Serializable

    public class HashTable

extends Object
implements Serializable

A simple hashtable, not synchronized, with fixed load factor.

See Also:
  Serialized Form

Nested Class Summary
`protected static class` | `HashTable.Entry` To manage collisions

Field Summary
`protected int` | `count` The number of entries
`protected static int` | `INITIAL_CAPACITY` The initial capacity
`protected HashTable.Entry[]` | `table` The underlying array

Constructor Summary
`HashTable()` Creates a new table.
`HashTable(HashTable t)` Creates a copy of the given HashTable object.
`HashTable(int c)` Creates a new table.

Method Summary
`void` | `clear()` Clears the map.
`Object` | `get(Object key)` Gets the value of a variable
`Object` | `item(int index)` Returns the item at the given position.
`Object` | `key(int index)` Returns the key at the given position or null.
`Object` | `put(Object key, Object value)` Sets a new value for the given variable
`protected void` | `rehash()` Rehash the table
`Object` | `remove(Object key)` Removes an entry from the table.
`int` | `size()` Returns the size of this table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL_CAPACITY

    protected static final int INITIAL_CAPACITY

  The initial capacity

  See Also:
    Constant Field Values

### table

    protected HashTable.Entry[] table

  The underlying array

### count

    protected int count

  The number of entries

Constructor Detail

### HashTable

    public HashTable()

  Creates a new table.

### HashTable

    public HashTable(int c)

  Creates a new table.

  Parameters:
    `c` - The initial capacity.

### HashTable

    public HashTable(HashTable t)

  Creates a copy of the given HashTable object.

  Parameters:
    `t` - The table to copy.

Method Detail

### size

    public int size()

  Returns the size of this table.

### get

    public Object get(Object key)

  Gets the value of a variable

  Returns:
    the value or null

### put

    public Object put(Object key,
                      Object value)

  Sets a new value for the given variable

  Returns:
    the old value or null

### remove

    public Object remove(Object key)

  Removes an entry from the table.

  Returns:
    the value or null.

### key

    public Object key(int index)

  Returns the key at the given position or null.

### item

    public Object item(int index)

  Returns the item at the given position.

### clear

    public void clear()

  Clears the map.

### rehash

    protected void rehash()

  Rehash the table

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.